> ## Documentation Index
> Fetch the complete documentation index at: https://docs.convertly.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Transform with a named Image CDN preset

> Path-form preset endpoint for the public Image CDN. Equivalent to `/cdn/v1/{deliveryKey}/{fileId}?preset={presetName}` and still requires a Convertly Storage `fileId`.



## OpenAPI

````yaml /openapi.json get /cdn/v1/{deliveryKey}/{fileId}/p/{presetName}
openapi: 3.1.0
info:
  title: Convertly API
  version: 1.0.0
  description: >-
    Convertly provides production API endpoints for media conversion,
    compression, Image CDN delivery, Forma AI, HLS/DASH video streaming, media
    tools, async jobs, workflows, webhooks, and Convertly Storage.
  license:
    name: Proprietary
    url: https://convertly.sh/terms
servers:
  - url: https://convertly.sh
security:
  - bearerAuth: []
  - apiKeyAuth: []
paths:
  /cdn/v1/{deliveryKey}/{fileId}/p/{presetName}:
    get:
      tags:
        - Image CDN
      summary: Transform with a named Image CDN preset
      description: >-
        Path-form preset endpoint for the public Image CDN. Equivalent to
        `/cdn/v1/{deliveryKey}/{fileId}?preset={presetName}` and still requires
        a Convertly Storage `fileId`.
      operationId: transformStorageImagePreset
      parameters:
        - name: deliveryKey
          in: path
          required: true
          schema:
            type: string
        - name: fileId
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: Convertly Storage file id.
        - name: presetName
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-z0-9_-]+$
        - name: w
          in: query
          schema:
            type: integer
            minimum: 16
            maximum: 4000
        - name: h
          in: query
          schema:
            type: integer
            minimum: 16
            maximum: 4000
        - name: q
          in: query
          schema:
            oneOf:
              - type: integer
                minimum: 20
                maximum: 100
              - type: string
                enum:
                  - auto
        - name: format
          in: query
          schema:
            type: string
            enum:
              - auto
              - jpeg
              - jpg
              - png
              - webp
              - avif
        - name: s
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Transformed image bytes
        '400':
          $ref: '#/components/responses/Error'
        '403':
          $ref: '#/components/responses/Error'
        '404':
          $ref: '#/components/responses/Error'
        '415':
          $ref: '#/components/responses/Error'
        '500':
          $ref: '#/components/responses/Error'
      security: []
components:
  responses:
    Error:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
        upgradeUrl:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Dashboard-generated Convertly API key. Keys currently begin with
        `cvly_`.
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Alternative API key header for server-side clients.

````